Update general settings configuration including vault settings

Fully or partially update the existing configuration settings for an OCF data source, including vault configuration for parameters. Use the GET method first to get the existing configuration settings.

Vault Configuration Support (requires feature flag alation.api.vault_config.enabled=true):
You can configure parameters to use external vault storage by appending _vault to the parameter key.

Request Body Format:
- Regular parameter updates: {"<param_key>": "<value>"}
}- Vault configuration updates: {"<param_key>_vault": {"is_vault_param": true/false, "vault_config_name": "", "vault_key": ""}}

Vault Configuration Fields:

  • is_vault_param (boolean, required): Enable/disable vault storage
  • vault_config_name (string, required when enabling): Vault configuration name (string)
  • vault_key (string, required when enabling): Vault key path (string)

Supported Parameter Types for Vault:
Only Text, EncryptedText, and EncryptedBinary parameters can use vault storage.

Examples:

Regular update: {"Jdbcuri_conf": "jdbc:postgresql://host:5432/db", "Enableautolineage_conf": true}

Enable vault storage: {"Keypair_conf_vault": {"is_vault_param": true, "vault_config_name": "prod_vault", "vault_key": "datasources/postgres/jdbc_uri"}}

Enable vault storage with AWS ARN: {"Password_conf_vault": {"is_vault_param": true, "vault_config_name": "aws_sm:AWS_Configuration", "vault_key": "arn:aws:secretsmanager:us-east-1:123456789012㊙️prod/db/password"`

Path Params
integer
required

id of the datasource

Body Params

A dictionary of key-value pairs for updating the configuration on the General Settings tab for a data source.

Responses

Language
URL
LoadingLoading…
Response
Choose an example:
application/json